import React, { useMemo } from "react";
import "./index.less";
var Summary = function Summary(_ref) {
  var summary = _ref.summary;
  var showSummary = useMemo(function () {
    return !!summary;
  }, [summary]);
  return showSummary ? /*#__PURE__*/React.createElement("div", {
    className: "materials-grid-summary"
  }, summary()) : null;
};
export default Summary;